Skip to content

Register a public OAuth client (RFC 7591 fallback)

POST
/v1/oauth/register
curl --request POST \
--url https://api.infiniteaudience.ai/v1/oauth/register \
--header 'Content-Type: application/json' \
--data '{ "client_name": "example", "redirect_uris": [ "https://example.com" ], "scope": "example", "token_endpoint_auth_method": "none", "grant_types": [ "authorization_code" ], "response_types": [ "code" ] }'

Public and rate-limited. Registers a public PKCE client for MCP/A2A gateways that do not support Client ID Metadata Documents. No client secret is issued.

Media typeapplication/json
object
client_name
string
redirect_uris
required
Array<string>
>= 1 items <= 20 items
scope
string
token_endpoint_auth_method
string
Allowed values: none
grant_types
Array<string>
Allowed values: authorization_code refresh_token
response_types
Array<string>
Allowed values: code

Public client registration.

Media typeapplication/json
object
client_id
required
string
client_id_issued_at
required
integer
client_name
required
string
redirect_uris
required
Array<string>
scope
required
string
token_endpoint_auth_method
required
string
Allowed values: none
grant_types
required
Array<string>
response_types
required
Array<string>
Example
{
"token_endpoint_auth_method": "none"
}

RFC 6749-shaped OAuth protocol error — error is a fixed machine-readable code and error_description is a human-readable detail. Deliberately NOT this API’s usual {error, code, message} shape — this is the RFC’s own error contract, used only by /v1/oauth/authorize, /v1/oauth/token, and /v1/oauth/revoke.

Media typeapplication/json

RFC 6749 §5.2 / §4.1.2.1 error body — see the OAuthError response component.

object
error
required
string
Allowed values: invalid_request invalid_client invalid_client_metadata invalid_grant invalid_scope invalid_target unsupported_response_type unsupported_grant_type access_denied server_error
error_description
required
string
Example
{
"error": "invalid_request"
}

RFC 6749-shaped OAuth protocol error — error is a fixed machine-readable code and error_description is a human-readable detail. Deliberately NOT this API’s usual {error, code, message} shape — this is the RFC’s own error contract, used only by /v1/oauth/authorize, /v1/oauth/token, and /v1/oauth/revoke.

Media typeapplication/json

RFC 6749 §5.2 / §4.1.2.1 error body — see the OAuthError response component.

object
error
required
string
Allowed values: invalid_request invalid_client invalid_client_metadata invalid_grant invalid_scope invalid_target unsupported_response_type unsupported_grant_type access_denied server_error
error_description
required
string
Example
{
"error": "invalid_request"
}